# $Revision: 1.13 $, $Date: 2006/04/16 10:20:54 
%define		ocaml_ver	1:3.09.2
Summary:	Dynamic code generation library for OCaml
Summary(pl):	Biblioteka do dynamicznej generacji kodu dla OCamla
Name:		ocaml-dml
Version:	0.2.1
Release:	7
License:	LGPL
Group:		Libraries
URL:		http://oops.tepkom.ru/dml/
Source0:	http://oops.tepkom.ru/dml/dml-%{version}.tar.gz
# Source0-md5:	a92f091dfc9b81861a62de53a6801a12
Patch0:		%{name}-mklib.patch
Patch1:		%{name}-ocaml_version.patch
Patch2:		%{name}-ocaml3.09.patch
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-camlp4
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dynamic Caml is a library that provides dynamic (or run-time) code
generation capabilities for Objective Caml programmer.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
Dynamic Caml jest bibliotek dostarczajc moliwoci dynamicznej (w
czasie wykonania programu) generacji kodu programom napisanym w
OCamlu.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	Dynamic code generation library - development part
Summary(pl):	Biblioteka do dynamicznej generacji kodu - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml
%requires_eq	ocaml-camlp4

%description devel
Dynamic Caml is a library that provides dynamic (or run-time) code
generation capabilities for Objective Caml programmer.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Dynamic Caml jest bibliotek dostarczajc moliwoci dynamicznej (w
czasie wykonania programu) generacji kodu programom napisanym w
OCamlu.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n dml-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure \
	-cc '%{__cc} %{rpmcflags} -fPIC' \
	-libdir %{_libdir}/ocaml/dml
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{dml,camlp4}
%{__make} install \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/dml \
	P4LIB=$RPM_BUILD_ROOT%{_libdir}/ocaml/camlp4
(cd $RPM_BUILD_ROOT%{_libdir}/ocaml && ln -s dml/dll*.so .)

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r tests/{evalint,matrix,power,tab}.dml \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/dml
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/dml/META <<EOF
requires = ""
version = "%{version}"
directory = "+dml"
archive(byte) = "rtcg.cma rtcgbyte.cma"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/dml
%attr(755,root,root) %{_libdir}/ocaml/dml/*.so
%{_libdir}/ocaml/*.so

%files devel
%defattr(644,root,root,755)
%doc README ChangeLog docs/dml.ps
%{_libdir}/ocaml/camlp4/*.cm[ao]
%{_libdir}/ocaml/dml/*.cm[ia]*
%{_libdir}/ocaml/dml/*.a
%{_libdir}/ocaml/dml/*.mli
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/dml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-dml.spec,v $
Revision 1.13  2006/05/31 12:54:56  glen
- rel 7 (rebuild with ocaml-3.09.2)

Revision 1.12  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.11  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.10  2005/12/26 00:03:44  baggins
- release 4
- added patch needed to build with ocaml 3.09

Revision 1.9  2005/12/10 18:40:12  baggins
- release 3 for ocaml 3.09.0

Revision 1.8  2005/10/11 20:13:52  paszczus
- release up to rebuild with new ocaml

Revision 1.7  2005/05/21 23:15:54  ankry
- added ocaml_version patch

Revision 1.6  2004/09/09 12:14:54  kolodko
- reduced rel to 1

Revision 1.5  2004/09/08 10:30:22  darekr
- updated to 0.2.1
- missing *.mli files

Revision 1.4  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.3  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/05/21 11:34:20  malekith
- initial; from scratch
- disclaimer: I have nothing to do with Anthon Moskal (coauthor of this
  software), nor this softaware has nothing to do with dml written by me
  -- Michal Moskal aka 'malekith' :)))

